// --------------------------------------------------------------------------
// External files inclusions.
// --------------------------------------------------------------------------
#include <pic.h>                                                // Use a PIC16F876A.
#include "io.h"



// --------------------------------------------------------------------------
// This procedure initializes the I/O lines.
// --------------------------------------------------------------------------
void IO_init(void)
{
    PORTA = 0b00000000;                                         // Reset PORTA.
//              
//              +-- <-- PWR_FWD
//              +--- <-- PWR_REV
//              +---- 
//              +----- <-- RESERVED
//              +------ 
//              +------- 
    ADCON1 = 0x04;                                              // 3 analog inputs (AN0, AN1 and AN3), internal Vref, left alignment.
    TRISA = 0b00001011;                                         // RA0, RA1 and RA3 analog inputs.

    PORTB = 0b00000000;                                         // Reset PORTB.
//            
//            +-- <-- SW_UNITS
//            +--- 
//            +---- 
//            +----- 
//            +------ <-- DP_0
//            +------- <-- DP_1
//            +-------- <-- SCALE_0
//            +--------- <-- SCALE_1
    RBPU = 0;                                                   // Enable weak pullup on PORTB.
    TRISB = 0b11110001;                                         // RB0, RB4, RB5, RB6 and RB7 inputs.

    PORTC = 0b00000000;                                         // Reset PORTC.
//            
//            +-- --> LCD_D4
//            +--- --> LCD_D5
//            +---- --> LCD_D6
//            +----- --> LCD_D7
//            +------ --> LCD_RS
//            +------- --> LCD_EN
//            +-------- --> LCD_LIGHT
//            +--------- 
    TRISC = 0b00000000;                                         // PORTC: all outputs.
}


